Calico®
v2
  • v2
  • v1
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Authentication
  • Getting Started
  • Calico Connect
  • Use Cases
  • Pagination
  • Versioning
  • Platform API
    • Changelog
    • Authentication
      • Authorization Callback
        POST
    • Providers
      • Add providers
      • List connected providers
      • Remove providers
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • CalicoErrorResponse
      • RefreshResponse
    • AddProvidersRequest
    • AddProvidersResponse
    • AddProvidersData
    • ListProvidersResponse
    • ListProvidersData
    • ProviderMetadata
    • DeleteProvidersRequest
    • DeleteProvidersResponse
    • DeleteProvidersData
    • ProviderMetadataV2.1
    • ConnectedProvidersMetadataV2.1
    • GetAssetsResponse
    • GetAssetsData
    • AssetPosition
    • GetTransactionsResponse
    • GetTransactionsData
    • TransactionCategorization
    • TransactionType
    • FeeItem
    • FeeObject
    • CurrencyValue
    • Transactions data
    • Input only transactions
    • Send transaction data
    • Receive transaction data
    • Output only transaction data
    • Transactions with input and output
    • Uncategorized transaction data
    • CryptoSourceCredentialAuthType
    • RefreshResponseData
    • IntegrationResponse
    • IntegrationData
    • AuthMetaData
    • PageData
    • APIConnection
    • WalletConnection
    • OAuth2Connection
    • ErrorItem
    • ProviderId
    • GetConsentURLForThirdPartyResponse
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Authentication

Authorization Callback

Platform v2
https://api.getcalico.com
Platform v2
https://api.getcalico.com
POST
/accounts/v2/oauth/callback/{provider_id}
Callback for submitting the OAuth 2 code, which will register an OAuth 2 connection.

Request

Authorization
or
Path Params

Query Params

Responses

🟢201Created
application/json
The request was successful and the connection was successfully added.
Body

🟢200OK
⚪0
⚪0
⚪0
⚪0
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.getcalico.com/accounts/v2/oauth/callback/?state&code'
Response Response Example
201 - Example 1
{
    "data": {
        "added": true,
        "redirect_url": "string"
    },
    "errors": [
        {
            "provider_id": "string",
            "cause": "bad_request"
        }
    ]
}
Previous
Authentication
Next
Providers